Retrieve the list of payouts for a account.
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/payouts
Authorization
Path parameters
Query parameters
Responses
200 - Successful response
payouts (object[], required): Payout list
_id (string, required): Payout id Example: 65df04201e428a0c5ebb6571
locationId (string, required): Account id Example: ve9EPM428h8vShlRW1KT
affiliateId (string, required): Affiliate id Example: 65df04201e428a0c5ebb6572
campaignId (string): Campaign id Example: 65df04201e428a0c5ebb6573
currency (string, required): Payout currency Example: USD
amount (number, required): Payout amount Example: 150
status (string): Payout status Example: pending
payoutMonth (string): Payout month Example: 2024-06-01T00:00:00.000Z
dueAt (string): Payout due date Example: 2024-06-30T00:00:00.000Z
paidAt (string): Payout paid date Example: 2024-06-30T00:00:00.000Z
paidMeta (object): Payout metadata
paidMethod (string): Payout paid method Example: manual
altId (string): Alternate id Example: alt_123
deleted (boolean): Whether the payout is deleted Example: False
isMigrated (boolean): Whether the payout is migrated Example: False
createdAt (string): Created at timestamp Example: 2024-06-16T00:00:00.000Z
updatedAt (string): Updated at timestamp Example: 2024-06-17T00:00:00.000Z
campaign (string): Campaign name Example: Summer Promo
affiliateName (string): Affiliate display name Example: John Doe
affiliateEmail (string): Affiliate email Example: john.doe@example.com
payoutMethod (string): Primary payout method Example: paypal
affiliate (object): Affiliate details
meta (object): Pagination metadata
{
"payouts": [
{
"_id": "65df04201e428a0c5ebb6571",
"locationId": "ve9EPM428h8vShlRW1KT",
"affiliateId": "65df04201e428a0c5ebb6572",
"campaignId": "65df04201e428a0c5ebb6573",
"currency": "USD",
"amount": 150,
"status": "pending",
"payoutMonth": "2024-06-01T00:00:00.000Z",
"dueAt": "2024-06-30T00:00:00.000Z",
"paidAt": "2024-06-30T00:00:00.000Z",
"paidMeta": {},
"paidMethod": "manual",
"altId": "alt_123",
"deleted": false,
"isMigrated": false,
"createdAt": "2024-06-16T00:00:00.000Z",
"updatedAt": "2024-06-17T00:00:00.000Z",
"campaign": "Summer Promo",
"affiliateName": "John Doe",
"affiliateEmail": "john.doe@example.com",
"payoutMethod": "paypal"
}
]
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);